<?php
/**
 * @category   FiloBlu
 * @package    FiloBlu_InstagramFeed
 *
 * @copyright  Copyright (c) 2017 FiloBlu (http://www.filoblu.com/)
 */

namespace FiloBlu\InstagramFeed\Model\Config\Source;

class SortBy implements \Magento\Framework\Option\ArrayInterface
{
	protected  $_blockModel;

    /**
     * @param \Magento\Cms\Model\Block $blockModel
     */
    public function __construct(
    	\Magento\Cms\Model\Block $blockModel
    	) {
    	$this->_groupModel = $blockModel;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
    	$options = [
            ['label' =>__('None (As they come from Instagram)'), 'value' => 'none'],
            ['label' =>__('Most Recent (Newest to oldest)'), 'value' => 'most-recent'],
            ['label' =>__('Least Recent (Oldest to newest)'), 'value' => 'least-recent'],
            ['label' =>__('Most Liked (Highest # of likes to lowest)'), 'value' => 'most-liked'],
            ['label' =>__('Least liked (Lowest # likes to highest)'), 'value' => 'least-liked'],
            ['label' =>__('Most Commented (Highest # of comments to lowest)'), 'value' => 'most-commented'],
            ['label' =>__('Least Commented (Lowest # of comments to highest)'), 'value' => 'least-commented'],
            ['label' =>__('Random (Random Order)'), 'value' => 'random']

        ];
        array_unshift($options, array(
                'value' => '',
                'label' => '',
                ));
        return $options;
    }
}
