define([
    'jquery',
    'domReady'
], function ( $, domReady ) {
    'use strict';

    return function( config ){
        var feedError = function(){
            $( '#' + config.widget ).remove();
        };

        domReady( function() {

            function getMedia() {
                return $.ajax({
                    async: true,
                    method: "GET",
                    url: 'https://www.instagram.com/graphql/query?query_id=17888483320059182&variables={"id":'+ config.params.userId +',"first":'+ config.params.limit +',"after":null}',
                    dataType: "json"
                });

            }

            getMedia().done(function (result) {

                var photoArray = result.data.user.edge_owner_to_timeline_media.edges;

                photoArray.forEach(function (photo) {

                    var slide = config.params.template.replace('{{image}}', photo.node.thumbnail_resources[config.params.resolution].src);

                    if (config.params.link == true) {
                        slide = slide.replace('{{link}}', 'https://www.instagram.com/p/'+ photo.node.shortcode +'/')
                    }

                    $('#' + config.params.target).append($(slide));

                });

            });

            getMedia().fail(function () {
                feedError();
            });
            
        });
    };
});
